Bug 240094 - [exp-run]: make ruby 2.6 default
Summary: [exp-run]: make ruby 2.6 default
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Ports Framework (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Matthias Fechner
URL:
Keywords:
Depends on: 240161 240162 240164 240165
Blocks:
  Show dependency treegraph
 
Reported: 2019-08-25 10:24 UTC by Matthias Fechner
Modified: 2019-09-09 05:09 UTC (History)
3 users (show)

See Also:
antoine: exp-run+


Attachments
Change the ruby default version to 2.6 (439 bytes, patch)
2019-08-25 10:24 UTC, Matthias Fechner
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Matthias Fechner freebsd_committer 2019-08-25 10:24:19 UTC
Created attachment 206887 [details]
Change the ruby default version to 2.6

The new gitlab 12.2 version requires ruby 2.6.
Comment 2 commit-hook freebsd_committer 2019-08-28 10:00:36 UTC
A commit references this bug:

Author: mfechner
Date: Wed Aug 28 09:59:52 UTC 2019
New revision: 510051
URL: https://svnweb.freebsd.org/changeset/ports/510051

Log:
  textproc/rubygem-cld3 upgrade to 3.2.4 which makes it compatible with ruby 2.6.

  PR:		240094

Changes:
  head/textproc/rubygem-cld3/Makefile
  head/textproc/rubygem-cld3/distinfo
  head/textproc/rubygem-cld3/files/
Comment 3 commit-hook freebsd_committer 2019-08-28 21:05:41 UTC
A commit references this bug:

Author: mfechner
Date: Wed Aug 28 21:05:05 UTC 2019
New revision: 510102
URL: https://svnweb.freebsd.org/changeset/ports/510102

Log:
  Mark the port also broken if OpenSSL 1.1.1 from ports is used.
  Same error message:
  incomplete definition of type 'struct rsa_st'
  like you have with base SSL from FreeBSD 12 and 13.

  PR:		240094

Changes:
  head/security/razorback-api/Makefile
Comment 4 Matthias Fechner freebsd_committer 2019-09-07 19:58:28 UTC
All ports listed in the previous exp-run are building now fine here.
Can you give it another try, please?
Comment 5 Antoine Brodin freebsd_committer 2019-09-08 18:52:44 UTC
Exp-run looks fine.
Comment 6 Matthias Fechner freebsd_committer 2019-09-09 05:09:02 UTC
Thanks a lot!
Committed with r511605.